package org.apache.poi.ss.usermodel;

import java.util.List;

public interface Sheet {
    
    
    
    /*  ********************************************
    
    ADDITIONAL METHODS FOR IgnoredError.
     
    ************************************************ */
    
    
    
    /**
     * Adds error messages to be ignored for certain cells.
     * @param ignoredError 
     */
    public void addIgnoredError(IgnoredError ignoredError);
    
    /**
     * Removes error messages to be ignored for certain cells.
     * 
     * <p>This removes an {@code IgnoredError} previously added
     * with {@link #addIgnoredError(org.apache.poi.ss.usermodel.IgnoredError)}.
     * In order for something to actually be removed the {@code IgnoredError} objects
     * must match, meaning {@code previouslyAddedIgnoredError.equals(toBeRemovedIgnoredError)} 
     * must be true.
     * @param ignoredError the ignored errors to be removed.
     */
    public void removeIgnoredError(IgnoredError ignoredError);
    
    /**
     * Gets the list of IgnoredErrors relating to this sheet.
     * 
     * <p>
     * Note that a certain type of {@code IgnoredError} can appear
     * multiple times in the returned list.
     *
     * @return 
     */
    public List<? extends IgnoredError> getIgnoredErrors();
    
}
